org.apache.kylin.jdbc

## Class KylinJdbc41Factory.KylinJdbc41PreparedStatement

- java.lang.Object
- - net.hydromatic.avatica.AvaticaStatement
  - - net.hydromatic.avatica.AvaticaPreparedStatement
    - - org.apache.kylin.jdbc.KylinPrepareStatementImpl
      - - org.apache.kylin.jdbc.KylinJdbc41Factory.KylinJdbc41PreparedStatement

All Implemented Interfaces:
  AutoCloseable, ParameterMetaData, PreparedStatement, Statement, Wrapper

Enclosing class:
  KylinJdbc41Factory

    public static class KylinJdbc41Factory.KylinJdbc41PreparedStatement
    extends KylinPrepareStatementImpl

Implementation of PreparedStatement for JDBC 4.1.

### Field Summary

### Fields inherited from class org.apache.kylin.jdbc.KylinPrepareStatementImpl

`prequeryResult`

### Fields inherited from class net.hydromatic.avatica.AvaticaStatement

`closed, closeOnCompletion, connection, maxRowCount, openResultSet`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Fields inherited from interface java.sql.ParameterMetaData

`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

### Method Summary

### Methods inherited from class org.apache.kylin.jdbc.KylinPrepareStatementImpl

`close_, executeQuery, getParameterValues, setAsciiStream, setAsciiStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setCharacterStream, setCharacterStream, setClob, setClob, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setRowId, setSQLXML`

### Methods inherited from class net.hydromatic.avatica.AvaticaPreparedStatement

`addBatch, clearParameters, execute, executeUpdate, getMetaData, getParameter, getParameterClassName, getParameterCount, getParameterMetaData, getParameterMode, getParameterType, getParameterTypeName, getPrecision, getScale, isNullable, isSigned, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class net.hydromatic.avatica.AvaticaStatement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeInternal, executeQuery, executeQueryInternal, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`